﻿using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;

namespace RyzStudio.Windows.ThemedForms
{
    public partial class TDialogForm : Form
    {
        public TDialogForm()
        {
            this.InitializeComponent();

            this.BackColor = Color.FromArgb(254, 254, 254);
            this.FormBorderStyle = FormBorderStyle.Sizable;
            this.MaximizeBox = false;
            this.MinimizeBox = false;
            this.Padding = new Padding(5, 10, 5, 10);
            this.ShowIcon = false;
            this.ShowInTaskbar = false;
            this.StartPosition = FormStartPosition.CenterParent;
            this.TopMost = true;
            this.SizeGripStyle = SizeGripStyle.Hide;
            this.AutoScaleMode = AutoScaleMode.Font;
        }

        [Browsable(false), EditorBrowsable(EditorBrowsableState.Never)]
        public override Color BackColor { get => base.BackColor; set => base.BackColor = value; }

        [Browsable(false)]
        public override Image BackgroundImage { get => base.BackgroundImage; set => base.BackgroundImage = value; }

        [Browsable(false)]
        public override ImageLayout BackgroundImageLayout { get => base.BackgroundImageLayout; set => base.BackgroundImageLayout = value; }

        [Browsable(false), EditorBrowsable(EditorBrowsableState.Never)]
        public new FormBorderStyle FormBorderStyle { get => base.FormBorderStyle; set => base.FormBorderStyle = value; }

        //[Browsable(false), EditorBrowsable(EditorBrowsableState.Never)]
        //public override Size MaximumSize { get => base.MaximumSize; set => base.MaximumSize = value; }

        //[Browsable(false), EditorBrowsable(EditorBrowsableState.Never)]
        //public override Size MinimumSize { get => base.MinimumSize; set => base.MinimumSize = value; }

        [Browsable(false), EditorBrowsable(EditorBrowsableState.Never)]
        public new Padding Padding { get => base.Padding; set => base.Padding = value; }

        [Browsable(false), EditorBrowsable(EditorBrowsableState.Never)]
        public new bool ShowIcon { get => base.ShowIcon; set => base.ShowIcon = value; }

        [Browsable(false), EditorBrowsable(EditorBrowsableState.Never)]
        public new bool ShowInTaskbar { get => base.ShowInTaskbar; set => base.ShowInTaskbar = value; }

        [Browsable(false), EditorBrowsable(EditorBrowsableState.Never)]
        public new FormStartPosition StartPosition { get => base.StartPosition; set => base.StartPosition = value; }

        [Browsable(false), EditorBrowsable(EditorBrowsableState.Never)]
        public new bool TopMost { get => base.TopMost; set => base.TopMost = value; }

        [Browsable(false), EditorBrowsable(EditorBrowsableState.Never)]
        public override Cursor Cursor { get => base.Cursor; set => base.Cursor = value; }

        [Browsable(false), EditorBrowsable(EditorBrowsableState.Never)]
        public override RightToLeft RightToLeft { get => base.RightToLeft; set => base.RightToLeft = value; }

        [Browsable(false), EditorBrowsable(EditorBrowsableState.Never)]
        public override bool RightToLeftLayout { get => base.RightToLeftLayout; set => base.RightToLeftLayout = value; }

        [Browsable(false), EditorBrowsable(EditorBrowsableState.Never)]
        public new bool UseWaitCursor { get => base.UseWaitCursor; set => base.UseWaitCursor = value; }

        [Browsable(false), EditorBrowsable(EditorBrowsableState.Never)]
        public new ImeMode ImeMode { get => base.ImeMode; set => base.ImeMode = value; }

        [Browsable(false), EditorBrowsable(EditorBrowsableState.Never)]
        public override bool AutoSize { get => base.AutoSize; set => base.AutoSize = value; }

        [Browsable(false), EditorBrowsable(EditorBrowsableState.Never)]
        public new AutoSizeMode AutoSizeMode { get => base.AutoSizeMode; set => base.AutoSizeMode = value; }

        [Browsable(false), EditorBrowsable(EditorBrowsableState.Never)]
        public new bool MinimizeBox { get => base.MinimizeBox; set => base.MinimizeBox = value; }

        [Browsable(false), EditorBrowsable(EditorBrowsableState.Never)]
        public new bool MaximizeBox { get => base.MaximizeBox; set => base.MaximizeBox = value; }

        [Browsable(false), EditorBrowsable(EditorBrowsableState.Never)]
        public new bool ControlBox { get => base.ControlBox; set => base.ControlBox = value; }

        [Browsable(false), EditorBrowsable(EditorBrowsableState.Never)]
        public new bool HelpButton { get => base.HelpButton; set => base.HelpButton = value; }

        [Browsable(false), EditorBrowsable(EditorBrowsableState.Never)]
        public new MenuStrip MainMenuStrip { get => base.MainMenuStrip; set => base.MainMenuStrip = value; }

        [Browsable(false), EditorBrowsable(EditorBrowsableState.Never)]
        public new SizeGripStyle SizeGripStyle { get => base.SizeGripStyle; set => base.SizeGripStyle = value; }

        [Browsable(false), EditorBrowsable(EditorBrowsableState.Never)]
        public new AutoScaleMode AutoScaleMode { get => base.AutoScaleMode; set => base.AutoScaleMode = value; }

        [Browsable(false), EditorBrowsable(EditorBrowsableState.Never)]
        public new bool AutoScroll { get => base.AutoScroll; set => base.AutoScroll = value; }

        [Browsable(false), EditorBrowsable(EditorBrowsableState.Never)]
        public new Size AutoScrollMargin { get => base.AutoScrollMargin; set => base.AutoScrollMargin = value; }

        [Browsable(false), EditorBrowsable(EditorBrowsableState.Never)]
        public new Size AutoScrollMinSize { get => base.AutoScrollMinSize; set => base.AutoScrollMinSize = value; }

        [Browsable(false), EditorBrowsable(EditorBrowsableState.Never)]
        public new Point AutoScrollOffset { get => base.AutoScrollOffset; set => base.AutoScrollOffset = value; }

        [Browsable(false), EditorBrowsable(EditorBrowsableState.Never)]
        public new FormWindowState WindowState { get => base.WindowState; set => base.WindowState = value; }

    }
}